----------------------
-- GLOBAL VARIABLES --
----------------------
local UTILS = {}
local CONSTANTS = require("Constants")

function UTILS.LOGGER(message)
    --[[
    Print the message to the output log if debug mode is enabled in the sandbox
    args:
        message (str): The message we want to print to the output
    ]]
    if CONSTANTS.enable_debug then 
        print(message) 
    end
end


function UTILS.DZ_module_sanity_check()
    --[[
    Sanity check to ensure that the user has loaded at least a Zombie and Climate module
    return (bool): Boolean if the sanity check is successful or not
    ]]
    UTILS.LOGGER("Running Definitive Zombie sanity check...");
end


function UTILS.validate_modules()
    --[[
    Sanity check to ensure that the user has loaded at least a Zombie and Climate module
    return (bool): Boolean if the sanity check is successful or not
    ]]
    UTILS.LOGGER("Running Definitive Zombie sanity check...");
end


function UTILS.get_active_lore()
    --[[
    Sanity check to ensure that the user has loaded at least a Zombie and Climate module
    return (bool): Boolean if the sanity check is successful or not
    ]]
    UTILS.LOGGER("----- Getting Active Zombie Lore -----");
    local active_lore = {}
    if CONSTANTS.enable_speed == true then
        table.insert(active_lore, "Speed")
        UTILS.LOGGER("Definitive Zombies speed     : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies speed     : DISABLED");
    end
    
    if CONSTANTS.enable_strength == true then
        table.insert(active_lore, "Strength")
        UTILS.LOGGER("Definitive Zombies strength  : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies strength  : DISABLED");
    end
    
    if CONSTANTS.enable_toughness == true then
        table.insert(active_lore, "Toughness")
        UTILS.LOGGER("Definitive Zombies toughness : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies toughness : DISABLED");
    end
    
    if CONSTANTS.enable_cognition == true then
        table.insert(active_lore, "Cognition")
        UTILS.LOGGER("Definitive Zombies cognition : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies cognition : DISABLED");
    end
    
    if CONSTANTS.enable_memory == true then
        table.insert(active_lore, "Memory")
        UTILS.LOGGER("Definitive Zombies memory    : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies memory    : DISABLED");
    end
    
    if CONSTANTS.enable_sight == true then
        table.insert(active_lore, "Sight")
        UTILS.LOGGER("Definitive Zombies sight     : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies sight     : DISABLED");
    end
    
    if CONSTANTS.enable_hearing == true then
        table.insert(active_lore, "Hearing")
        UTILS.LOGGER("Definitive Zombies hearing   : ENABLED");
    else
        UTILS.LOGGER("Definitive Zombies hearing   : DISABLED");
    end
    
    return active_lore
end


--[[
local function UTILS.DZ_module_check_zombie()
    --Sanity check to ensure that at least one zombie module is loaded
    if getActivatedMods():contains(moduleName) then
        print( "LOADED: ".. moduleName .. "...")
    end
end

local function UTILS.DZ_module_check_climate()
    -- Sanity check to ensure that at least one climate module is loaded
 
    if getActivatedMods():contains(moduleName) then
        print( "LOADED: ".. moduleName .. "...")
    end
end
--]]
return UTILS