--[[
Do not run zombie.get_baseline_lore(), this does nothing on game load. 
Run the above function in DefinitiveZombies.lua
--]]
--local UTILS = require("DZ_Utils")
local Climate = require("Climate")

-- initialise the Zombie "Class"
local climate_entropy = Climate.new()

-- Update some of its variables
climate_entropy:set_module_name('Definitive Zombies Climate Entropy')
climate_entropy:set_sandbox_prefix('DZ_climateEntropy')


local CALENDER = {}
CALENDER["0"] = 31
CALENDER["1"] = 28
CALENDER["2"] = 31
CALENDER["3"] = 30
CALENDER["4"] = 31
CALENDER["5"] = 30
CALENDER["6"] = 31
CALENDER["7"] =31
CALENDER["8"] = 30
CALENDER["9"] = 31
CALENDER["10"] = 30
CALENDER["11"] = 31

function Climate:get_current_interval()
    -- Get the current value of the climate
        local startYear = getGameTime():getStartYear()
		local startMonth = getGameTime():getStartMonth()
		local startDay = getGameTime():getStartDay()
		local totalStartDays = 0

		for i=0,startMonth,1 do 
			totalStartDays = totalStartDays + CALENDER[tostring(i)]
		end

		-- Get the current day
		local currentYear = getGameTime():getYear()
		local currentMonth = getGameTime():getMonth()
		local currentDay = getGameTime():getDay()
		local totalCurrentDays = 0 
		
		for j=0,currentMonth,1 do 
			totalCurrentDays = totalCurrentDays + CALENDER[tostring(j)]
		end
		
		-- Determine how many days have elasped
		local daysFromYears =  (currentYear - startYear) * 365
		local daysFromMonth = (totalStartDays + startDay) - (totalCurrentDays + currentDay)
		local daysElasped = daysFromYears - daysFromMonth
		
		return tonumber(daysElasped)
end

-- lua equivalent to return a "class"
return climate_entropy