--[[
Do not run zombie.get_baseline_lore(), this does nothing on game load. 
Run the above function in DefinitiveZombies.lua
--]]
--local UTILS = require("DZ_Utils")
local Climate = require("Climate")
local CONSTANTS = require("Constants")
local UTILS = require("DZ_Utils")

-- initialise the Zombie "Class"
local climate_time = Climate.new()

-- Update some of its variables
climate_time:set_module_name('Definitive Zombies Climate Daylight')
climate_time:set_sandbox_prefix('DZ_climateTime')
climate_time:set_intervals(1)

function climate_time:get_current_interval()
    -- Get the current value of the climate
    return getGameTime():getTimeOfDay()
end

function climate_time:get_modifier_values()
    -- update the climate's modifier
    local i = 1
    if self.interval_value[0]["value"] <= self.get_current_interval() and self.get_current_interval() < self.interval_value[1]["value"] then
        i = 0
    end
    self.modifier_speed =  calculate_modifier(self.interval_value[i]["Speed"]) - CONSTANTS.sandbox_neutral_modifier
    self.modifier_strength = calculate_modifier(self.interval_value[i]["Strength"]) - CONSTANTS.sandbox_neutral_modifier
    self.modifier_toughness = calculate_modifier(self.interval_value[i]["Toughness"]) - CONSTANTS.sandbox_neutral_modifier
    self.modifier_cognition = calculate_modifier(self.interval_value[i]["Cognition"]) - CONSTANTS.sandbox_neutral_modifier
    self.modifier_memory = calculate_modifier(self.interval_value[i]["Memory"]) - CONSTANTS.sandbox_neutral_modifier
    self.modifier_sight = calculate_modifier(self.interval_value[i]["Sight"]) - CONSTANTS.sandbox_neutral_modifier
    self.modifier_hearing = calculate_modifier(self.interval_value[i]["Hearing"]) - CONSTANTS.sandbox_neutral_modifier
    
    UTILS.LOGGER("------------------------------------------------")
    UTILS.LOGGER("Climate " ..self.sandbox_prefix.. "modifier lore")
    print('hehehe')
    UTILS.LOGGER("Current Interval: " ..self.get_current_interval())
    UTILS.LOGGER("Speed           : " ..self.modifier_speed )
    UTILS.LOGGER("Strength        : " ..self.modifier_strength )
    UTILS.LOGGER("Toughness       : " ..self.modifier_toughness )
    UTILS.LOGGER("Cognition       : " ..self.modifier_cognition )
    UTILS.LOGGER("Memory          : " ..self.modifier_memory )
    UTILS.LOGGER("Sight           : " ..self.modifier_sight )
    UTILS.LOGGER("Hearing         : " ..self.modifier_hearing )
end

-- lua equivalent to return a "class"
return climate_time